--- base/unixinst.mak.orig	2023-09-12 14:40:30
+++ base/unixinst.mak	2023-09-14 17:45:24
@@ -78,6 +78,8 @@
 PSEXDIR=$(PSLIBDIR)/../examples
 PSMANDIR=$(PSLIBDIR)/../man
 
+PCLEXDIR=$(PSLIBDIR)/../pcl/examples
+
 install-data: install-libdata install-resdata$(COMPILE_INITS) install-iccdata$(COMPILE_INITS) install-doc install-man
 
 # There's no point in providing a complete dependency list: we include
@@ -148,13 +150,30 @@
 # install html documentation
 DOC_PAGES=index.html News.html COPYING Ghostscript.pdf \
           GS9_Color_Management.pdf
+GPDL_DOC_PAGES=ghostpdl.pdf ghostpdl.txt
 
-install-doc: $(PSDOCDIR)/News.html
+install-doc: $(PSDOCDIR)/News.html install-doc-$(PCL_TARGET) install-doc-$(XPS_TARGET) install-doc-$(GPDL_TARGET)
 	-mkdir -p $(DESTDIR)$(docdir)
 	$(SH) -c 'for f in $(DOC_PAGES) ;\
 	do if ( test -f $(PSDOCDIR)/$$f ); then $(INSTALL_DATA) $(PSDOCDIR)/$$f $(DESTDIR)$(docdir); fi;\
 	done'
 
+install-doc-gpcl6: install-doc-gpdl
+	$(NO_OP)
+
+install-doc-gxps: install-doc-gpdl
+	$(NO_OP)
+
+install-doc-gpdl:
+	-mkdir -p $(DESTDIR)$(docdir)/pclxps
+	$(SH) -c 'for f in $(GPDL_DOC_PAGES) ;\
+	do if ( test -f $(PSDOCDIR)/pclxps/$$f ); then $(INSTALL_DATA) $(PSDOCDIR)/pclxps/$$f $(DESTDIR)$(docdir)/pclxps; fi;\
+	done'
+
+# Dummy target
+install-doc-:
+	$(NO_OP)
+
 # install the man pages for each locale
 MAN_LCDIRS=.
 MAN1_LINKS_PS2PS=eps2eps
@@ -189,7 +208,7 @@
 	done'
 
 # install the example files
-install-examples:
+install-examples: install-examples-$(PCL_TARGET)
 	-mkdir -p $(DESTDIR)$(exdir)
 	for f in \
         alphabet.ps colorcir.ps escher.ps grayalph.ps snowflak.ps \
@@ -204,6 +223,20 @@
 all_ag1.ps all_aj2.ps article9.ps gscjk_ag.ps gscjk_ak.ps iso2022v.ps ;\
 	do $(INSTALL_DATA) $(PSEXDIR)/cjk/$$f $(DESTDIR)$(exdir)/cjk ;\
 	done
+
+install-examples-gpcl6:
+	-mkdir -p $(DESTDIR)$(exdir)/pcl
+	for f in \
+	    bitfont.pcl bitfonts.pxl fills.pcl fontpage.pcl fonts.pcl fonts.pxl \
+	    frs96.pxl gl-chars.pcl grashopp.pcl grid.pcl label.tst \
+	    lineprinter.pcl null.pxl opaque.pcl origins.pcl owl.pcl owl2.pcl \
+	    pattern.pcl pattern.pxl tiger.px3 tiger.xps .px3;\
+	do $(INSTALL_DATA) $(PCLEXDIR)/$$f $(DESTDIR)$(exdir)/pcl ;\
+	done
+
+# Dummy target
+install-examples-:
+	$(NO_OP)
 
 install-shared: $(GS_SHARED_OBJS)
 	-mkdir -p $(DESTDIR)$(gssharedir)
